﻿' ------------------------------------------------------------------------------
'
' FishKurs1.VB                                            Ulrich Müller 20.06.06
'                                                         PCS1700 VB2005 Express
' Einführung in die Programmierung mit VB2005 und FishFace40
'                   am Beispiel einer Ampelsteuerung
'
' FishKurs1 : Einfache Ampel (Konsolanwendung). 
'             Lampen : Grün = M1, Gelb = M2, Rot = M3
'
' erforderlich : FishFa2005.DLL und umFish40.DLL
'
' ------------------------------------------------------------------------------

Imports FishFace40

Module FishKurs1
  Private ft As New FishFace()

  Sub Main()
    ft.OpenInterface(IFTypen.ftROBO_first_USB, 0)
    Do                               ' --- Betriebsschleife Ampelanzeige ---
      ft.SetMotor(Out.M1, Dir.Ein)   '     Grün, 3000
      ft.Pause(3000)
      ft.SetMotor(Out.M1, Dir.Aus)
      ft.SetMotor(Out.M2, Dir.Ein)   '     Gelb, 1000
      ft.Pause(1000)
      ft.SetMotor(Out.M2, Dir.Aus)
      ft.SetMotor(Out.M3, Dir.Ein)   '     Rot, 3500
      ft.Pause(3500)
      ft.SetMotor(Out.M2, Dir.Ein)   '     Rot/Gelb, 1000
      ft.Pause(1000)
      ft.SetMotor(Out.M3, Dir.Aus)
      ft.SetMotor(Out.M2, Dir.Aus)
    Loop Until ft.Finish()           ' --- Ende durch ESC-Taste
    ft.CloseInterface()
    Console.ReadLine()
  End Sub

End Module
